### Method

# Secret Service get_session_dbus_path

#### Declaration [src]

    const gchar*
    secret_service_get_session_dbus_path (
      SecretService* self
    )

#### Description [src]

Get the D-Bus object path of the session object being used to transfer secrets between this secret service proxy and the Secret Service itself.

This will be `NULL` if no session has been established. Use `secret_service_ensure_session()` to establish a session.

#### Return value

Type: `const gchar*`

A string representing the D-Bus object path of the session.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.